summary refs log tree commit diff
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--README.md15
-rwxr-xr-xprune.sh12
2 files changed, 26 insertions, 1 deletions
diff --git a/README.md b/README.md
index 8f33fcd0..27a1e92f 100644
--- a/README.md
+++ b/README.md
@@ -13,14 +13,27 @@ My configuration files.
 
 ## Install
 
+Create symlinks in ~ for files in the current directory.
+
 ```
 ./install.sh
 ```
 
 ## Import
 
+Import a file from ~ and replace it with a symlink.
+
+```
+./import.sh .config
+```
+
+## Prune
+
+Remove symbolic links in ~ to files that no longer exist in the current
+directory.
+
 ```
-./import .config
+./prune.sh
 ```
 
 ## License
diff --git a/prune.sh b/prune.sh
new file mode 100755
index 00000000..2480b7ba
--- /dev/null
+++ b/prune.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# Remove symbolic links in ~ to files that no longer exist.
+
+set -e
+
+paths=$(find -L ~ -type l -lname "$PWD/*")
+
+for path in $paths; do
+  rm $path
+  echo $path
+done
td>June McEnroe 2022-02-19Run line editing testsJune McEnroe 2022-02-18Implement new line editing "library"June McEnroe 2022-02-18Simplify cursor positioning in inputJune McEnroe 2022-02-18Fix M-f orderingJune McEnroe 2022-02-12Move sandman build to scripts/MakefileJune McEnroe 2022-02-12Use compat_readpassphrase.c on LinuxJune McEnroe 2022-02-12Copy RPP defines from oconfigureJune McEnroe